Summary:	Data Acquisition Library
Name:		daq
Version:	2.0.6
Release:	1
License:	GNU General Public License
Group:		Networking
Source0:	https://www.snort.org/downloads/snort/%{name}-%{version}.tar.gz
# Source0-md5:	2cd6da422a72c129c685fc4bb848c24c
URL:		http://www.snort.org/
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libdnet-devel
BuildRequires:	libnetfilter_queue-devel
BuildRequires:	libpcap-devel >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Data Acquisition library for Snort.

%package devel
Summary:	Header files for %{name} library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{name} library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki %{name}.

%package static
Summary:	Static %{name} library
Summary(pl.UTF-8):	Statyczna biblioteka %{name}
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static %{name} library.

%description static -l pl.UTF-8
Statyczna biblioteka %{name}.

%prep
%setup -q

%build
%configure \
	--enable-ipv6

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post
/sbin/ldconfig

%preun

%postun
/sbin/ldconfig

%files
%defattr(644,root,root,755)
%dir %{_libdir}/daq
%{_libdir}/daq/daq_*.so
%attr(755,root,root) %ghost %{_libdir}/libdaq.so.2
%attr(755,root,root) %{_libdir}/libdaq.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsfbpf.so.0
%attr(755,root,root) %{_libdir}/libsfbpf.so.*.*.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/*.h
%attr(755,root,root) %{_libdir}/libdaq.so
%attr(755,root,root) %{_libdir}/libsfbpf.so
%{_libdir}/libdaq.la
%{_libdir}/libsfbpf.la
%attr(755,root,root) %{_bindir}/daq-modules-config

%files static
%defattr(644,root,root,755)
%{_libdir}/libdaq.a
%{_libdir}/libdaq_static.a
%{_libdir}/libdaq_static_modules.a
%{_libdir}/libsfbpf.a
%changelog
* Sun Apr 10 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/daq.git;a=log;h=master

* Sun Apr 10 2016 Jan Rękorajski <baggins@pld-linux.org> 22fa44a
- up to 2.0.6

* Thu Nov 08 2012 Marek Guevara Braun <mguevara@pld-linux.org> 350e130
- updated to 1.1.1-1 for snort 2.9.3.1

* Thu Nov 08 2012 Marek Guevara Braun <mguevara@pld-linux.org> ecc1bb3
- removed doubled files

* Thu Oct 27 2011 mguevara <mguevara@pld-linux.org> 38b705f
- adapterized

* Tue Oct 25 2011 mguevara <mguevara@pld-linux.org> 83cba9f
- 0.6.2-1, added source0 url

* Mon Oct 24 2011 mguevara <mguevara@pld-linux.org> bbe3aad
- initial release - data acquisition library for snort

